#loadingspinner{
	background-color: #00000045;
	
	position: fixed;
	display: block;
	top: 0;
	z-index: 999;
	left: 0;
	width: 100%;
	height: 100%;
	margin: auto;
	aspect-ratio: 0;
	animation: unset;
}
.loading {
	position: fixed;
	margin: auto;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	display: block;
	z-index: 1005;
	width: 30px;
	padding: 5px;
	aspect-ratio: 1;
	border-radius: 50%;
	background: #25b09b;
	--_m: 
	conic-gradient(#0000 10%,#000),
	linear-gradient(#000 0 0) content-box;
	-webkit-mask: var(--_m);
			mask: var(--_m);
	-webkit-mask-composite: source-out;
			mask-composite: subtract;
	animation: l3 1s infinite linear;
}
@keyframes l3 {
	to{transform: rotate(1turn)}
}